summary refs log tree commit diff
path: root/bin
diff options
context:
space:
mode:
authorJune McEnroe <june@causal.agency>2021-02-17 22:27:45 -0500
committerJune McEnroe <june@causal.agency>2021-02-17 22:27:45 -0500
commitfdd8e2c3f7721b7f5d9365590d9bb4df5e8490d5 (patch)
tree3cb379e9bcf2a818655397e6c31519a5d654fd26 /bin
parentUse curl --url for URL from email (diff)
downloadsrc-fdd8e2c3f7721b7f5d9365590d9bb4df5e8490d5.tar.gz
src-fdd8e2c3f7721b7f5d9365590d9bb4df5e8490d5.zip
Just use pbcopy in up
I have a generic pbcopy wrapper now.
Diffstat (limited to '')
-rw-r--r--bin/up.sh10
1 files changed, 1 insertions, 9 deletions
diff --git a/bin/up.sh b/bin/up.sh
index 9cb77a2b..f55213d4 100644
--- a/bin/up.sh
+++ b/bin/up.sh
@@ -62,14 +62,6 @@ uploadTerminal() {
 	upload "${temp}/term.html"
 }
 
-copy() {
-	if type xsel >/dev/null; then
-		xsel -bi
-	else
-		pbcopy
-	fi
-}
-
 while getopts 'chst' opt; do
 	case "$opt" in
 		(c) fn=uploadCommand;;
@@ -84,5 +76,5 @@ shift $((OPTIND - 1))
 : ${fn:=upload}
 
 url=$($fn "$@")
-printf '%s' "$url" | copy || true
+printf '%s' "$url" | pbcopy || true
 echo "$url"
tr> 2020-02-10Match URLs inside parens or with paired parens insideJune McEnroe 2020-02-10Duplicate effective URL before passing it back to curlJune McEnroe Apparently sometimes it didn't like receiving its own internal storage to parse again. Understandable. 2020-02-09Add To Be Taught, If FortunateJune McEnroe 2020-02-04Add The Future of Another TimelineJune McEnroe Wow. One of the best I've read. 2020-01-31Reorganize the Makefile for the umpteenth timeJune McEnroe Broke out LDLIBS for each bin, and made everything more uniform. 2020-01-28Change scout sensitivity to 1.4June McEnroe idk it seems to work. 2020-01-28Import shows.txtJune McEnroe